apiVersion: v1
kind: ConfigMap
metadata:
  name: redis-config
  namespace: aasp
data:
  # file-like keys
  redis.conf: |
    save 900 1
    save 300 10
    save 60 10000
    replica-serve-stale-data yes
    replica-read-only yes
    repl-diskless-sync no
    repl-diskless-sync-delay 5
    repl-diskless-load disabled
    repl-disable-tcp-nodelay no
    replica-priority 100
    user default on allcommands allkeys >r6r7RuVfF84gzX
    protected-mode yes
    port 6379
    tcp-backlog 128
    timeout 0
    tcp-keepalive 300
    daemonize no
    supervised no
    pidfile /var/run/redis_6379.pid
    loglevel notice
    logfile ""
    databases 16
    always-show-logo yes
    stop-writes-on-bgsave-error yes
    rdbcompression yes
    rdbchecksum yes
    dbfilename dump.rdb
    rdb-del-sync-files no
    dir ./
    acllog-max-len 128
    lazyfree-lazy-eviction no
    lazyfree-lazy-expire no
    lazyfree-lazy-server-del no
    replica-lazy-flush no
    lazyfree-lazy-user-del no
    appendonly no
    appendfilename "appendonly.aof"
    appendfsync everysec
    no-appendfsync-on-rewrite no
    auto-aof-rewrite-percentage 100
    auto-aof-rewrite-min-size 64mb
    aof-load-truncated yes
    aof-use-rdb-preamble yes
    lua-time-limit 5000
    slowlog-log-slower-than 10000
    slowlog-max-len 128
    latency-monitor-threshold 0
    notify-keyspace-events ""
    hash-max-ziplist-entries 512
    hash-max-ziplist-value 64
    list-max-ziplist-size -2
    list-compress-depth 0
    set-max-intset-entries 512
    zset-max-ziplist-entries 128
    zset-max-ziplist-value 64
    hll-sparse-max-bytes 3000
    stream-node-max-bytes 4096
    stream-node-max-entries 100
    activerehashing yes
    client-output-buffer-limit normal 0 0 0
    client-output-buffer-limit replica 256mb 64mb 60
    client-output-buffer-limit pubsub 32mb 8mb 60
    hz 10
    dynamic-hz yes
    aof-rewrite-incremental-fsync yes
    rdb-save-incremental-fsync yes
    jemalloc-bg-thread yes
---
apiVersion: v1
kind: ConfigMap
metadata:
  name: common-app-config
  namespace: aasp
data:
  MYSQL_USER: admin
  MYSQL_DATABASE: aaspdb
  MINIO_ACCESS_KEY: PRODACCESSSTORAGE
  QUEUE_CODE: aaspcodequeue
  QUEUE_MCQ: aaspmcqqueue
  QUEUE_MATH: aaspmathqueue
  QUEUE_STRUCTURED: aaspstructuredqueue
  QUEUE_SUBMISSION: aaspsubmissionqueue
  STORAGE_BUCKET_PUBLIC: aasppublic
  STORAGE_BUCKET_SECRET: aaspdata
---
apiVersion: v1
kind: ConfigMap
metadata:
  name: routing-config
  namespace: aasp
data:
  REDIS_HOST: cache-svc
  DB_HOST: database-svc
  STORAGE_HOST: s3store-svc
  STORAGE_SSL: "false"
  STORAGE_PORT: "80"